/**
 * Adobe Edge: symbol definitions
 */
(function($, Edge, compId){
//images folder
var im='images/';

var fonts = {};


var resources = [
];
var symbols = {
"stage": {
   version: "2.0.0",
   minimumCompatibleVersion: "2.0.0",
   build: "2.0.0.250",
   baseState: "Base State",
   initialState: "Base State",
   gpuAccelerate: false,
   resizeInstances: false,
   content: {
         dom: [
         {
            id:'Rectangle2',
            type:'rect',
            rect:['550px','0px','250px','799px','auto','auto'],
            fill:["rgba(171,171,171,1.00)"],
            stroke:[0,"rgb(0, 0, 0)","none"]
         },
         {
            id:'Text',
            type:'text',
            rect:['15px','0px','auto','auto','auto','auto'],
            text:"drag element(div)",
            align:"left",
            font:['\'ヒラギノ角ゴ Pro W3\', \'Hiragino Kaku Gothic Pro\', メイリオ, Meiryo, ＭＳＰゴシック, \'MS PGothic\', sans-serif',14,"rgba(0,0,0,1)","normal","none","normal"]
         },
         {
            id:'TextCopy',
            type:'text',
            rect:['15px','140px','auto','auto','auto','auto'],
            text:"drag element(img), limit the range(100-300)",
            align:"left",
            font:['\'ヒラギノ角ゴ Pro W3\', \'Hiragino Kaku Gothic Pro\', メイリオ, Meiryo, ＭＳＰゴシック, \'MS PGothic\', sans-serif',14,"rgba(0,0,0,1)","normal","none","normal"]
         },
         {
            id:'TextCopy2',
            type:'text',
            rect:['15px','320px','auto','auto','auto','auto'],
            text:"drag element(nested DOM child elem), limit the range(0-160)",
            align:"left",
            font:['\'ヒラギノ角ゴ Pro W3\', \'Hiragino Kaku Gothic Pro\', メイリオ, Meiryo, ＭＳＰゴシック, \'MS PGothic\', sans-serif',14,"rgba(0,0,0,1)","normal","none","normal"]
         },
         {
            id:'TextCopy3',
            type:'text',
            rect:['15px','600px','auto','auto','auto','auto'],
            text:"drag symbol, and click to turn(add event func for down, click, drag, drop).",
            align:"left",
            font:['\'ヒラギノ角ゴ Pro W3\', \'Hiragino Kaku Gothic Pro\', メイリオ, Meiryo, ＭＳＰゴシック, \'MS PGothic\', sans-serif',14,"rgba(0,0,0,1)","normal","none","normal"]
         },
         {
            id:'TextCopy4',
            type:'text',
            rect:['15px','415px','auto','auto','auto','auto'],
            text:"drag element($(\".pic\")) to scroll $(\"carouseleBase\"), click to change rotation.",
            align:"left",
            font:['\'ヒラギノ角ゴ Pro W3\', \'Hiragino Kaku Gothic Pro\', メイリオ, Meiryo, ＭＳＰゴシック, \'MS PGothic\', sans-serif',14,"rgba(0,0,0,1)","normal","none","normal"]
         },
         {
            id:'carouselArea',
            type:'rect',
            rect:['5%','450px','60%','122px','auto','auto'],
            fill:["rgba(255,255,255,1.00)"],
            stroke:[0,"rgb(0, 0, 0)","none"],
            c:[
            {
               id:'carouselBase',
               type:'rect',
               rect:['0%','0px','890px','120px','auto','auto'],
               fill:["rgba(255,255,255,1.00)"],
               stroke:[0,"rgb(0, 0, 0)","none"],
               c:[
               {
                  id:'pic01',
                  type:'image',
                  tag:'img',
                  rect:['10px','10px','100px','100px','auto','auto'],
                  fill:["rgba(0,0,0,0)",im+"pic01.png",'0px','0px'],
                  userClass:"pic"
               },
               {
                  id:'pic02',
                  type:'image',
                  tag:'img',
                  rect:['120px','10px','100px','100px','auto','auto'],
                  fill:["rgba(0,0,0,0)",im+"pic02.png",'0px','0px'],
                  userClass:"pic"
               },
               {
                  id:'pic03',
                  type:'image',
                  tag:'img',
                  rect:['230px','10px','100px','100px','auto','auto'],
                  fill:["rgba(0,0,0,0)",im+"pic03.png",'0px','0px'],
                  userClass:"pic"
               },
               {
                  id:'pic04',
                  type:'image',
                  tag:'img',
                  rect:['340px','10px','100px','100px','auto','auto'],
                  fill:["rgba(0,0,0,0)",im+"pic04.png",'0px','0px'],
                  userClass:"pic"
               },
               {
                  id:'pic05',
                  type:'image',
                  tag:'img',
                  rect:['450px','10px','100px','100px','auto','auto'],
                  fill:["rgba(0,0,0,0)",im+"pic05.png",'0px','0px'],
                  userClass:"pic"
               },
               {
                  id:'pic06',
                  type:'image',
                  tag:'img',
                  rect:['560px','10px','100px','100px','auto','auto'],
                  fill:["rgba(0,0,0,0)",im+"pic06.png",'0px','0px'],
                  userClass:"pic"
               },
               {
                  id:'pic07',
                  type:'image',
                  tag:'img',
                  rect:['670px','10px','100px','100px','auto','auto'],
                  fill:["rgba(0,0,0,0)",im+"pic07.png",'0px','0px'],
                  userClass:"pic"
               },
               {
                  id:'pic08',
                  type:'image',
                  tag:'img',
                  rect:['780px','10px','100px','100px','auto','auto'],
                  fill:["rgba(0,0,0,0)",im+"pic08.png",'0px','0px'],
                  userClass:"pic"
               }]
            }]
         },
         {
            id:'seekbarBase',
            type:'rect',
            rect:['175px','360px','200px','21px','auto','auto'],
            fill:["rgba(189,189,189,1.00)"],
            stroke:[0,"rgba(0,0,0,1)","none"],
            c:[
            {
               id:'seekBarPointer',
               type:'rect',
               rect:['0%','-10px','40px','40px','auto','auto'],
               borderRadius:["10px","10px","10px","10px"],
               fill:["rgba(66,66,66,1.00)"],
               stroke:[0,"rgb(0, 0, 0)","none"]
            }]
         },
         {
            id:'dogBase',
            type:'rect',
            rect:['100px','170px','400px','133px','auto','auto'],
            fill:["rgba(233,233,233,1.00)"],
            stroke:[0,"rgb(0, 0, 0)","none"]
         },
         {
            id:'dog',
            type:'image',
            tag:'img',
            rect:['200px','170px','200px','133px','auto','auto'],
            fill:["rgba(0,0,0,0)",im+"dog.jpg",'0px','0px']
         },
         {
            id:'rect',
            type:'rect',
            rect:['16px','30px','100px','100px','auto','auto'],
            fill:["rgba(170,221,153,1.00)"],
            stroke:[0,"rgba(0,0,0,1)","none"]
         },
         {
            id:'piyo',
            type:'rect',
            rect:['115','126','auto','auto','auto','auto']
         },
         {
            id:'log',
            type:'text',
            rect:['565px','10px','220px','480px','auto','auto'],
            text:"log",
            align:"left",
            font:['\'ヒラギノ角ゴ Pro W3\', \'Hiragino Kaku Gothic Pro\', メイリオ, Meiryo, ＭＳＰゴシック, \'MS PGothic\', sans-serif',24,"rgba(0,0,0,1)","normal","none","normal"]
         }],
         symbolInstances: [
         {
            id:'piyo',
            symbolName:'piyo'
         }
         ]
      },
   states: {
      "Base State": {
         "${_Rectangle2}": [
            ["color", "background-color", 'rgba(171,171,171,1.00)'],
            ["style", "height", '799px']
         ],
         "${_carouselBase}": [
            ["style", "top", '0px'],
            ["style", "overflow", 'visible'],
            ["style", "height", '120px'],
            ["color", "background-color", 'rgba(255,255,255,1)'],
            ["style", "left", '0%'],
            ["style", "width", '890px']
         ],
         "${_pic02}": [
            ["style", "left", '120px'],
            ["style", "top", '10px']
         ],
         "${_dogBase}": [
            ["style", "top", '170px'],
            ["style", "height", '133px'],
            ["color", "background-color", 'rgba(233,233,233,1.00)'],
            ["style", "left", '100px'],
            ["style", "width", '400px']
         ],
         "${_pic08}": [
            ["style", "left", '780px'],
            ["style", "top", '10px']
         ],
         "${_TextCopy2}": [
            ["style", "top", '320px'],
            ["style", "left", '15px'],
            ["style", "font-size", '14px']
         ],
         "${_log}": [
            ["style", "height", '480px'],
            ["style", "top", '10px'],
            ["style", "left", '565px'],
            ["style", "width", '220px']
         ],
         "${_piyo}": [
            ["style", "left", '86px'],
            ["style", "top", '640px']
         ],
         "${_TextCopy4}": [
            ["style", "top", '415px'],
            ["style", "left", '15px'],
            ["style", "font-size", '14px']
         ],
         "${_TextCopy3}": [
            ["style", "top", '600px'],
            ["style", "left", '15px'],
            ["style", "font-size", '14px']
         ],
         "${_seekbarBase}": [
            ["style", "top", '360px'],
            ["color", "background-color", 'rgba(189,189,189,1.00)'],
            ["style", "left", '175px'],
            ["style", "width", '200px']
         ],
         "${_pic06}": [
            ["style", "left", '560px'],
            ["style", "top", '10px']
         ],
         "${_pic05}": [
            ["style", "left", '450px'],
            ["style", "top", '10px']
         ],
         "${_dog}": [
            ["style", "height", '133px'],
            ["style", "top", '170px'],
            ["style", "left", '200px'],
            ["style", "width", '200px']
         ],
         "${_pic07}": [
            ["style", "left", '670px'],
            ["style", "top", '10px']
         ],
         "${_rect}": [
            ["style", "top", '30px'],
            ["style", "height", '100px'],
            ["color", "background-color", 'rgba(170,221,153,1.00)'],
            ["style", "left", '16px'],
            ["style", "width", '100px']
         ],
         "${_pic03}": [
            ["style", "left", '230px'],
            ["style", "top", '10px']
         ],
         "${_pic04}": [
            ["style", "left", '340px'],
            ["style", "top", '10px']
         ],
         "${_Text}": [
            ["style", "top", '0px'],
            ["style", "left", '15px'],
            ["style", "font-size", '14px']
         ],
         "${_carouselArea}": [
            ["style", "top", '450px'],
            ["style", "overflow", 'hidden'],
            ["color", "background-color", 'rgba(255,255,255,1.00)'],
            ["style", "left", '5%'],
            ["style", "width", '60%']
         ],
         "${_Stage}": [
            ["color", "background-color", 'rgba(238,230,217,1.00)'],
            ["style", "width", '800px'],
            ["style", "height", '800px'],
            ["style", "overflow", 'hidden']
         ],
         "${_seekBarPointer}": [
            ["style", "top", '-10px'],
            ["style", "height", '40px'],
            ["color", "background-color", 'rgba(66,66,66,1.00)'],
            ["style", "left", '0%'],
            ["style", "width", '40px']
         ],
         "${_TextCopy}": [
            ["style", "top", '140px'],
            ["style", "left", '15px'],
            ["style", "font-size", '14px']
         ],
         "${_pic01}": [
            ["style", "left", '10px'],
            ["style", "top", '10px']
         ]
      }
   },
   timelines: {
      "Default Timeline": {
         fromState: "Base State",
         toState: "",
         duration: 0,
         autoPlay: true,
         timeline: [
         ]
      }
   }
},
"piyo": {
   version: "2.0.0",
   minimumCompatibleVersion: "2.0.0",
   build: "2.0.0.250",
   baseState: "Base State",
   initialState: "Base State",
   gpuAccelerate: false,
   resizeInstances: false,
   content: {
   dom: [
   {
      id: 'piyo',
      type: 'image',
      rect: ['0px','0px','512px','512px','auto','auto'],
      fill: ['rgba(0,0,0,0)','images/hiyoko.png','0px','0px']
   }],
   symbolInstances: [
   ]
   },
   states: {
      "Base State": {
         "${symbolSelector}": [
            ["style", "height", '122px'],
            ["style", "width", '129px']
         ],
         "${_piyo}": [
            ["style", "clip", [0,129,122,0], {valueTemplate:'rect(@@0@@px @@1@@px @@2@@px @@3@@px)'} ],
            ["style", "background-position", [0,0], {valueTemplate:'@@0@@px @@1@@px'} ]
         ]
      }
   },
   timelines: {
      "Default Timeline": {
         fromState: "Base State",
         toState: "",
         duration: 2241,
         autoPlay: true,
         labels: {
            "left": 0,
            "right": 498,
            "fwd": 747
         },
         timeline: [
            { id: "eid0", tween: [ "style", "${_piyo}", "background-position", [-129,0], { valueTemplate: '@@0@@px @@1@@px', fromValue: [0,0]}], position: 83, duration: 0 },
            { id: "eid2", tween: [ "style", "${_piyo}", "background-position", [-258,0], { valueTemplate: '@@0@@px @@1@@px', fromValue: [-129,0]}], position: 166, duration: 0 },
            { id: "eid4", tween: [ "style", "${_piyo}", "background-position", [0,-122], { valueTemplate: '@@0@@px @@1@@px', fromValue: [-258,0]}], position: 249, duration: 0 },
            { id: "eid6", tween: [ "style", "${_piyo}", "background-position", [-129,-122], { valueTemplate: '@@0@@px @@1@@px', fromValue: [0,-122]}], position: 415, duration: 0 },
            { id: "eid8", tween: [ "style", "${_piyo}", "background-position", [-258,-122], { valueTemplate: '@@0@@px @@1@@px', fromValue: [-129,-122]}], position: 498, duration: 0 },
            { id: "eid10", tween: [ "style", "${_piyo}", "background-position", [0,-244], { valueTemplate: '@@0@@px @@1@@px', fromValue: [-258,-122]}], position: 581, duration: 0 },
            { id: "eid12", tween: [ "style", "${_piyo}", "background-position", [-129,-244], { valueTemplate: '@@0@@px @@1@@px', fromValue: [0,-244]}], position: 664, duration: 0 },
            { id: "eid14", tween: [ "style", "${_piyo}", "background-position", [-129,-122], { valueTemplate: '@@0@@px @@1@@px', fromValue: [-129,-244]}], position: 747, duration: 0 },
            { id: "eid16", tween: [ "style", "${_piyo}", "background-position", [0,-122], { valueTemplate: '@@0@@px @@1@@px', fromValue: [-129,-122]}], position: 913, duration: 0 },
            { id: "eid18", tween: [ "style", "${_piyo}", "background-position", [-258,-244], { valueTemplate: '@@0@@px @@1@@px', fromValue: [0,-122]}], position: 1079, duration: 0 },
            { id: "eid20", tween: [ "style", "${_piyo}", "background-position", [0,-366], { valueTemplate: '@@0@@px @@1@@px', fromValue: [-258,-244]}], position: 1660, duration: 0 },
            { id: "eid22", tween: [ "style", "${_piyo}", "background-position", [-129,-366], { valueTemplate: '@@0@@px @@1@@px', fromValue: [0,-366]}], position: 2158, duration: 0 },
            { id: "eid24", tween: [ "style", "${_piyo}", "background-position", [-129,-366], { valueTemplate: '@@0@@px @@1@@px', fromValue: [-129,-366]}], position: 2241, duration: 0 },
            { id: "eid1", tween: [ "style", "${_piyo}", "clip", [0,129,122,0], { valueTemplate: 'rect(@@0@@px @@1@@px @@2@@px @@3@@px)', fromValue: [0,129,122,0]}], position: 83, duration: 0 },
            { id: "eid3", tween: [ "style", "${_piyo}", "clip", [0,129,122,0], { valueTemplate: 'rect(@@0@@px @@1@@px @@2@@px @@3@@px)', fromValue: [0,129,122,0]}], position: 166, duration: 0 },
            { id: "eid5", tween: [ "style", "${_piyo}", "clip", [0,129,122,0], { valueTemplate: 'rect(@@0@@px @@1@@px @@2@@px @@3@@px)', fromValue: [0,129,122,0]}], position: 249, duration: 0 },
            { id: "eid7", tween: [ "style", "${_piyo}", "clip", [0,129,122,0], { valueTemplate: 'rect(@@0@@px @@1@@px @@2@@px @@3@@px)', fromValue: [0,129,122,0]}], position: 415, duration: 0 },
            { id: "eid9", tween: [ "style", "${_piyo}", "clip", [0,129,122,0], { valueTemplate: 'rect(@@0@@px @@1@@px @@2@@px @@3@@px)', fromValue: [0,129,122,0]}], position: 498, duration: 0 },
            { id: "eid11", tween: [ "style", "${_piyo}", "clip", [0,129,122,0], { valueTemplate: 'rect(@@0@@px @@1@@px @@2@@px @@3@@px)', fromValue: [0,129,122,0]}], position: 581, duration: 0 },
            { id: "eid13", tween: [ "style", "${_piyo}", "clip", [0,129,122,0], { valueTemplate: 'rect(@@0@@px @@1@@px @@2@@px @@3@@px)', fromValue: [0,129,122,0]}], position: 664, duration: 0 },
            { id: "eid15", tween: [ "style", "${_piyo}", "clip", [0,129,122,0], { valueTemplate: 'rect(@@0@@px @@1@@px @@2@@px @@3@@px)', fromValue: [0,129,122,0]}], position: 747, duration: 0 },
            { id: "eid17", tween: [ "style", "${_piyo}", "clip", [0,129,122,0], { valueTemplate: 'rect(@@0@@px @@1@@px @@2@@px @@3@@px)', fromValue: [0,129,122,0]}], position: 913, duration: 0 },
            { id: "eid19", tween: [ "style", "${_piyo}", "clip", [0,129,122,0], { valueTemplate: 'rect(@@0@@px @@1@@px @@2@@px @@3@@px)', fromValue: [0,129,122,0]}], position: 1079, duration: 0 },
            { id: "eid21", tween: [ "style", "${_piyo}", "clip", [0,129,122,0], { valueTemplate: 'rect(@@0@@px @@1@@px @@2@@px @@3@@px)', fromValue: [0,129,122,0]}], position: 1660, duration: 0 },
            { id: "eid23", tween: [ "style", "${_piyo}", "clip", [0,129,122,0], { valueTemplate: 'rect(@@0@@px @@1@@px @@2@@px @@3@@px)', fromValue: [0,129,122,0]}], position: 2158, duration: 0 }         ]
      }
   }
}
};


Edge.registerCompositionDefn(compId, symbols, fonts, resources);

/**
 * Adobe Edge DOM Ready Event Handler
 */
$(window).ready(function() {
     Edge.launchComposition(compId);
});
})(jQuery, AdobeEdge, "EDGE-312238482");
